import request from '@/utils/request2'

export default {
    // 获取单个检查员信息
    detail(e) {
        return request({
            url: `/inspectorInformation/${e}`,
            method: 'get',
        })
    },
    // 修改单个检查员信息
    update(data) {
        return request({
            url: '/inspectorInformation',
            method: 'put',
            data
        })
    },
    //上传文件
    updateFile(data) {
        return request({
            url: '/common/uploadMinioonfile',
            method: 'post',
            headers: {
                "Content-Type": "multipart/form-data",
            },
            data
        })
    },
    //根据word模板导出数据
    exportFile(id) {
        return request({
            url: `/inspectorInformation/exportWord/${id}`,
            method: 'post',
            headers: {
                "Content-Type": "application/x-www-form-urlencoded",
            },
        })
    },
}
